enum GradientOrientation{
  BR_TL,
  BL_TR,
  TL_BR,
  TR_BL,
  L_R,
  R_L,
  T_B,
  B_T,
}

GradientOrientation gradientOrientationFromValue(String value){
  switch(value){
    case "L_R": return GradientOrientation.L_R;
    case "R_L": return GradientOrientation.R_L;
    case "T_B": return GradientOrientation.T_B;
    case "B_T": return GradientOrientation.B_T;
    case "TL_BR": return GradientOrientation.TL_BR;
    case "TR_BL": return GradientOrientation.TR_BL;
    case "BL_TR": return GradientOrientation.BL_TR;
    case "BR_TL": return GradientOrientation.BR_TL;
    default: return GradientOrientation.L_R;
  }
}

extension GradientOrientationExt on GradientOrientation{
  String value(){
    switch(this){
      case GradientOrientation.L_R: return "L_R";
      case GradientOrientation.R_L: return "R_L";
      case GradientOrientation.T_B: return "T_B";
      case GradientOrientation.B_T: return "B_T";
      case GradientOrientation.TL_BR: return "TL_BR";
      case GradientOrientation.TR_BL: return "TR_BL";
      case GradientOrientation.BL_TR: return "BL_TR";
      case GradientOrientation.BR_TL: return "BR_TL";
    }
  }
}